TST: Fix up fail2ban python3 scripts

pull/171/head
Steven Hiscocks 2013-04-13 16:58:05 +01:00
parent d061b2b549
commit 9241ded376
2 changed files with 8 additions and 11 deletions

View File

@ -5,13 +5,10 @@
set -eu
nonPyFiles="fail2ban-client fail2ban-server fail2ban-regex fail2ban-testcases"
find . \
-name "*.py" \
-exec 2to3 -w --no-diffs $nonPyFiles {} + \
|| (echo "Fail!" >&2 && exit 1)
echo "Success!" >&2
exit 0
if 2to3 -w --no-diffs bin/* fail2ban;then
echo "Success!" >&2
exit 0
else
echo "Fail!" >&2
exit 1
fi

View File

@ -9,7 +9,7 @@ for python in /usr/{,local/}bin/python3.[0-9]{,.*}{,-dbg}
do
[ -e "$python" ] || continue
echo "Testing using $python"
$python ./fail2ban-testcases "$@" || failed+=" $python"
$python bin/fail2ban-testcases "$@" || failed+=" $python"
done
if [ ! -z "$failed" ]; then